diff --git python-pyquery/python-pyquery.spec python-pyquery/python-pyquery.spec.tmp
index 37376519e3..2be43fda72 100644
--- python-pyquery/python-pyquery.spec
+++ python-pyquery/python-pyquery.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{real_name}
 Version:        1.2.17
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        A jQuery-like library for python
 Group:          Development/Libraries
 License:        BSD
@@ -31,13 +31,20 @@ BuildRequires:  python-webob
 BuildRequires:  python-webtest
 %endif
 
-Requires:       python-lxml >= 2.1
+%global _description\
+python-pyquery allows you to make jQuery queries on XML documents. The API is\
+as much as possible the similar to jQuery. python-pyquery uses lxml for fast\
+XML and HTML manipulation.
+
+%description %_description
+
+%package -n python2-pyquery
+Summary: %summary
 Requires:       python-cssselect
+Requires:       python-lxml >= 2.1
+%{?python_provide:%python_provide python2-pyquery}
 
-%description
-python-pyquery allows you to make jQuery queries on XML documents. The API is 
-as much as possible the similar to jQuery. python-pyquery uses lxml for fast 
-XML and HTML manipulation.
+%description -n python2-pyquery %_description
 
 %if 0%{?with_python3}
 %package -n python3-pyquery
@@ -107,7 +114,7 @@ nosetests
 %endif
 %endif
 
-%files
+%files -n python2-pyquery
 %doc CHANGES.rst README.rst
 %{python_sitelib}/pyquery/
 %{python_sitelib}/pyquery*.egg-info/
@@ -120,6 +127,10 @@ nosetests
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.17-6
+- Python 2 subpackage renamed to python2-pyquery
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.17-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyramid-fas-openid/python-pyramid-fas-openid.spec python-pyramid-fas-openid/python-pyramid-fas-openid.spec.tmp
index 05231726aa..6f2c7ff69e 100644
--- python-pyramid-fas-openid/python-pyramid-fas-openid.spec
+++ python-pyramid-fas-openid/python-pyramid-fas-openid.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:               python-pyramid-fas-openid
 Version:            0.3.8
-Release:            6%{?dist}
+Release:            7%{?dist}
 Summary:            A view for pyramid that functions as an OpenID consumer
 
 Group:              Development/Libraries
@@ -26,14 +26,21 @@ BuildRequires:      python-openid
 BuildRequires:      python-openid-teams
 BuildRequires:      python-openid-cla
 
-Requires:           python-pyramid
-Requires:           python-openid
-Requires:           python-openid-teams
+%global _description\
+pyramid_fas_openid provides a view for the Pyramid framework that acts as\
+an OpenID consumer for the Fedora Account System.
+
+%description %_description
+
+%package -n python2-pyramid-fas-openid
+Summary: %summary
 Requires:           python-openid-cla
+Requires:           python-openid-teams
+Requires:           python-openid
+Requires:           python-pyramid
+%{?python_provide:%python_provide python2-pyramid-fas-openid}
 
-%description
-pyramid_fas_openid provides a view for the Pyramid framework that acts as
-an OpenID consumer for the Fedora Account System.
+%description -n python2-pyramid-fas-openid %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -47,13 +54,17 @@ rm -rf %{modname}.egg-info
 %install
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-pyramid-fas-openid
 %doc README.txt
 #%%license LICENSE
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.8-7
+- Python 2 subpackage renamed to python2-pyramid-fas-openid
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyrax/python-pyrax.spec python-pyrax/python-pyrax.spec.tmp
index 130720edbf..65e3d24452 100644
--- python-pyrax/python-pyrax.spec
+++ python-pyrax/python-pyrax.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-pyrax
 Version:        1.9.7
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Python language bindings for OpenStack Clouds
 
 
@@ -10,23 +10,31 @@ Patch0:         get_client_class.patch
 URL:            https://github.com/rackspace/pyrax
 
 # Earlier upstream RPMs had the name pyrax - provide this for compatibility
-Provides:       pyrax = %{version}
 BuildArch:      noarch
 BuildRequires:  python-setuptools
 BuildRequires:  python-mock
 BuildRequires:  python2-devel
-Requires:       python-novaclient
-Requires:       python-keyring
 
 
-%description
-A library for working with most OpenStack-based cloud deployments, though it
-originally targeted the Rackspace public cloud. For example, the code for
-cloudfiles contains the ability to publish your content on Rackspace's CDN
-network, even though CDN support is not part of OpenStack Swift. But if you
-don't use any of the CDN-related code, your app will work fine on any
+%global _description\
+A library for working with most OpenStack-based cloud deployments, though it\
+originally targeted the Rackspace public cloud. For example, the code for\
+cloudfiles contains the ability to publish your content on Rackspace's CDN\
+network, even though CDN support is not part of OpenStack Swift. But if you\
+don't use any of the CDN-related code, your app will work fine on any\
 standard Swift deployment.
 
+%description %_description
+
+%package -n python2-pyrax
+Summary: %summary
+Requires:       python-keyring
+Requires:       python-novaclient
+Provides:       pyrax = %{version}
+%{?python_provide:%python_provide python2-pyrax}
+
+%description -n python2-pyrax %_description
+
 %prep
 %setup -q -n pyrax-%{version}
 %patch0
@@ -39,12 +47,16 @@ standard Swift deployment.
 rm -rf $RPM_BUILD_ROOT
 %py2_install
 
-%files
+%files -n python2-pyrax
 %license LICENSE
 %doc README.rst samples docs
 %{python2_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.7-4
+- Python 2 subpackage renamed to python2-pyrax
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.7-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyro/python-pyro.spec python-pyro/python-pyro.spec.tmp
index 34ccde6f59..d1c9c1dcc1 100644
--- python-pyro/python-pyro.spec
+++ python-pyro/python-pyro.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-pyro 
 Version:        4.14
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        PYthon Remote Objects
 
 Group:          Development/Languages
@@ -20,13 +20,21 @@ BuildRequires: python3-setuptools
 BuildRequires: /usr/bin/2to3
 %endif # if with_python3
 
-%description
-Pyro provides an object-oriented form of RPC. You can use Pyro within a
-single system but also use it for IPC. For those that are familiar with
-Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less
-similar to CORBA - which is a system- and language independent Distributed
+%global _description\
+Pyro provides an object-oriented form of RPC. You can use Pyro within a\
+single system but also use it for IPC. For those that are familiar with\
+Java, Pyro resembles Java's Remote Method Invocation (RMI). It is less\
+similar to CORBA - which is a system- and language independent Distributed\
 Object Technology and has much more to offer than Pyro or RMI.
 
+%description %_description
+
+%package -n python2-pyro
+Summary: %summary
+%{?python_provide:%python_provide python2-pyro}
+
+%description -n python2-pyro %_description
+
 %if 0%{?with_python3}
 %package -n python3-pyro
 Summary:        Python Remote Objects
@@ -76,7 +84,7 @@ chmod -x examples/maxsize/Readme.txt
 popd
 %endif # with_python3
 
-%files
+%files -n python2-pyro
 %defattr(-,root,root,-)
 %doc docs/* examples README.txt LICENSE
 %{python_sitelib}/Pyro4
@@ -91,6 +99,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.14-14
+- Python 2 subpackage renamed to python2-pyro
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.14-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-PyRSS2Gen/python-PyRSS2Gen.spec python-PyRSS2Gen/python-PyRSS2Gen.spec.tmp
index 7469d72093..be45ca6707 100644
--- python-PyRSS2Gen/python-PyRSS2Gen.spec
+++ python-PyRSS2Gen/python-PyRSS2Gen.spec.tmp
@@ -1,7 +1,7 @@
 %global with_python3 1
 Name:		python-PyRSS2Gen
 Version:	1.1
-Release:	13%{?dist}
+Release:	14%{?dist}
 Summary:	A Python library for generating RSS 2.0 feeds
 
 Group:		Development/Libraries
@@ -11,10 +11,18 @@ Source0:	http://www.dalkescientific.com/Python/PyRSS2Gen-%{version}.tar.gz
 BuildArch:	noarch
 BuildRequires:	python2-devel
 BuildRequires:	python-setuptools
-Requires:	python-feedparser
-%description	
+%global _description\
 A Python library for generating RSS 2.0 feeds.
 
+%description %_description
+
+%package -n python2-pyrss2gen
+Summary: %summary
+Requires:	python-feedparser
+%{?python_provide:%python_provide python2-pyrss2gen}
+
+%description -n python2-pyrss2gen %_description
+
 %if 0%{?with_python3}
 %package -n python3-PyRSS2Gen
 BuildRequires:	python3-devel
@@ -44,7 +52,7 @@ A Python3 library for generating RSS 2.0 feeds.
 %check
 
 
-%files -n python-PyRSS2Gen
+%files -n python2-pyrss2gen
 %{python_sitelib}/PyRSS2Gen-%{version}-py2.7.egg-info
 %{python_sitelib}/PyRSS2Gen.py
 %{python_sitelib}/PyRSS2Gen.pyc
@@ -60,6 +68,10 @@ A Python3 library for generating RSS 2.0 feeds.
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-14
+- Python 2 subpackage renamed to python2-pyrss2gen
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pysb/python-pysb.spec python-pysb/python-pysb.spec.tmp
index 1a3effb94a..83cc1a4559 100644
--- python-pysb/python-pysb.spec
+++ python-pysb/python-pysb.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-pysb
 Version:        1.0.1
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Rule-based modeling of biochemical systems as Python programs
 License:        BSD
 URL:            http://pysb.org/
@@ -22,27 +22,35 @@ BuildRequires:  python-sphinx
 BuildRequires:  tex(latex)
 BuildRequires:  python-numpydoc
 %endif
-Requires:       bionetgen
-Requires:       numpy
-Requires:       scipy
-Requires:       python-matplotlib
-Requires:       sympy
-Requires:       python-pygraphviz
 
-%description
-PySB is a framework for building mathematical models of biochemical
-systems as Python programs. PySB abstracts the complex process of
-creating equations describing interactions among multiple proteins or
-other biomolecules into a simple and intuitive domain specific
-programming language, which is internally translated into BioNetGen or
-Kappa rules and from there into systems of equations. PySB makes it
-straightforward to divide models into modules and to call libraries of
-reusable elements (macros) that encode standard biochemical
-actions. These features promote model transparency, reuse and
-accuracy. PySB also interoperates with standard scientific Python
-libraries such as NumPy, SciPy and SymPy enabling model simulation and
+%global _description\
+PySB is a framework for building mathematical models of biochemical\
+systems as Python programs. PySB abstracts the complex process of\
+creating equations describing interactions among multiple proteins or\
+other biomolecules into a simple and intuitive domain specific\
+programming language, which is internally translated into BioNetGen or\
+Kappa rules and from there into systems of equations. PySB makes it\
+straightforward to divide models into modules and to call libraries of\
+reusable elements (macros) that encode standard biochemical\
+actions. These features promote model transparency, reuse and\
+accuracy. PySB also interoperates with standard scientific Python\
+libraries such as NumPy, SciPy and SymPy enabling model simulation and\
 analysis.
 
+%description %_description
+
+%package -n python2-pysb
+Summary: %summary
+Requires:       python-pygraphviz
+Requires:       sympy
+Requires:       python-matplotlib
+Requires:       scipy
+Requires:       numpy
+Requires:       bionetgen
+%{?python_provide:%python_provide python2-pysb}
+
+%description -n python2-pysb %_description
+
 %if %{with_doc}
 %package doc
 Summary:        HTML documentation for %{name}
@@ -78,7 +86,7 @@ python2 setup.py install --skip-build --root %{buildroot}
 chmod +x %{buildroot}/%{python_sitelib}/pysb/examples/run_*.py
 chmod +x %{buildroot}/%{python_sitelib}/pysb/tools/[a-z]*.py
 
-%files
+%files -n python2-pysb
 %license LICENSE.txt
 %doc README.rst
 %{python_sitelib}/pysb/
@@ -92,6 +100,10 @@ chmod +x %{buildroot}/%{python_sitelib}/pysb/tools/[a-z]*.py
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-8
+- Python 2 subpackage renamed to python2-pysb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pysctp/python-pysctp.spec python-pysctp/python-pysctp.spec.tmp
index 486b0ae018..84b882ec13 100644
--- python-pysctp/python-pysctp.spec
+++ python-pysctp/python-pysctp.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-pysctp 
 Version:	0.6
-Release:	9%{?dist}
+Release:	10%{?dist}
 Summary:	Python sctp socket api extensions bindings
 Group:		System Environment/Libraries
 License:	LGPLv2
@@ -10,15 +10,23 @@ URL:		http://epx.com.br/pysctp/
 Source0:	https://github.com/philpraxis/pysctp/archive/%{version}.tar.gz
 Source1:	__init__.py
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Requires:	python lksctp-tools-devel 
 BuildRequires:  python-setuptools lksctp-tools-devel 
 BuildRequires:	python-devel python
 
 Patch0: pysctp-buildfix.patch
 
-%description
+%global _description\
 Python bindings for the SCTP socket api (see draft-ietf-tsvwg-sctpsocket-10.txt)
 
+%description %_description
+
+%package -n python2-pysctp
+Summary: %summary
+Requires:	python lksctp-tools-devel
+%{?python_provide:%python_provide python2-pysctp}
+
+%description -n python2-pysctp %_description
+
 %prep
 %setup -q -n pysctp-%{version}
 mkdir ./pysctp
@@ -35,12 +43,16 @@ rm -f $RPM_BUILD_ROOT/usr/*.[ch]
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-pysctp
 %defattr(-,root,root,-)
 %{python_sitearch}/*
 %doc README 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-10
+- Python 2 subpackage renamed to python2-pysctp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyside/python-pyside.spec python-pyside/python-pyside.spec.tmp
index 385333e29c..0abf16b6e6 100644
--- python-pyside/python-pyside.spec
+++ python-pyside/python-pyside.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-pyside
 Version:        1.2.2
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Python bindings for Qt4
 
 License:        LGPLv2
@@ -30,12 +30,20 @@ BuildRequires:  xorg-x11-xauth
 %{?filter_provides_in: %filter_provides_in %{python_sitearch}/PySide/.*\.so}
 %{?filter_setup}
 
-%description
-PySide provides Python bindings for the Qt cross-platform application
-and UI framework. PySide consists of a full set of Qt bindings, being
-compatible with PyQt4 API 2.
+%global _description\
+PySide provides Python bindings for the Qt cross-platform application\
+and UI framework. PySide consists of a full set of Qt bindings, being\
+compatible with PyQt4 API 2.\
 
 
+%description %_description
+
+%package -n python2-pyside
+Summary: %summary
+%{?python_provide:%python_provide python2-pyside}
+
+%description -n python2-pyside %_description
+
 %package        devel
 Summary:        Development files for %{name}
 Requires:       %{name}%{?_isa} = %{version}-%{release}
@@ -99,7 +107,7 @@ popd
 %post -p /sbin/ldconfig
 %postun -p /sbin/ldconfig
 
-%files
+%files -n python2-pyside
 %doc COPYING PySide/licensecomment.txt
 %{_libdir}/libpyside*.so.*
 %{python_sitearch}/PySide/
@@ -114,6 +122,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.2-11
+- Python 2 subpackage renamed to python2-pyside
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyvfs/python-pyvfs.spec python-pyvfs/python-pyvfs.spec.tmp
index a8b7f0cfaa..f883bf097a 100644
--- python-pyvfs/python-pyvfs.spec
+++ python-pyvfs/python-pyvfs.spec.tmp
@@ -3,7 +3,7 @@
 
 Name: python-%{pkgname}
 Version: 0.2.10
-Release: 8%{?dist}
+Release: 9%{?dist}
 Summary: Simple python VFS library
 License: GPLv2+
 Group: Development/Languages
@@ -13,16 +13,24 @@ BuildArch: noarch
 BuildRequires: python2-devel
 Source: http://peet.spb.ru/archives/%{pypname}-%{version}.tar.gz
 
-%description
-PyVFS is a simple VFS library written in Python. It consists of
-several layers, allowing to use different low-level protocol
-implementations. Now you can choose between 9p (9p2000.u) and
-FUSE.
-
-The library can be used to create own servers as well as deploy
-bundled applications, e.g. pyvfs.objectfs -- the library, that allows
+%global _description\
+PyVFS is a simple VFS library written in Python. It consists of\
+several layers, allowing to use different low-level protocol\
+implementations. Now you can choose between 9p (9p2000.u) and\
+FUSE.\
+\
+The library can be used to create own servers as well as deploy\
+bundled applications, e.g. pyvfs.objectfs -- the library, that allows\
 to represent Python objects as files.
 
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
+
 %prep
 %setup -q -n %{pypname}-%{version}
 
@@ -32,12 +40,16 @@ to represent Python objects as files.
 %install
 %{__python} setup.py install --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-%{pkgname}
 %doc README* LICENSE
 %{python_sitelib}/%{pkgname}*
 %{python_sitelib}/%{pypname}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.10-9
+- Python 2 subpackage renamed to python2-pyvfs
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.10-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pyzolib/python-pyzolib.spec python-pyzolib/python-pyzolib.spec.tmp
index 5bf5e02296..a5b9659c26 100644
--- python-pyzolib/python-pyzolib.spec
+++ python-pyzolib/python-pyzolib.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-pyzolib
 Version:        0.3.3
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Utilities for the Pyzo environment
 
 Group:          Development/Libraries
@@ -19,10 +19,18 @@ BuildRequires:  python2-devel
 BuildRequires:  python3-devel
 %endif # if with_python3
 
-%description
-This package implements several small sub-modules and sub-packages that expose
-common functionality in a range of packages and applications in the Pyzo
-framework. 
+%global _description\
+This package implements several small sub-modules and sub-packages that expose\
+common functionality in a range of packages and applications in the Pyzo\
+framework.
+
+%description %_description
+
+%package -n python2-pyzolib
+Summary: %summary
+%{?python_provide:%python_provide python2-pyzolib}
+
+%description -n python2-pyzolib %_description
 
 %if 0%{?with_python3}
 %package -n python3-pyzolib
@@ -61,7 +69,7 @@ pushd %{py3dir}
 popd
 %endif # with_python3
 
-%files
+%files -n python2-pyzolib
 %doc
 %{python2_sitelib}/pyzolib
 %{python2_sitelib}/pyzolib-%{version}-py?.?.egg-info
@@ -72,6 +80,10 @@ popd
 %{python3_sitelib}/pyzolib-%{version}-py?.?.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.3-9
+- Python 2 subpackage renamed to python2-pyzolib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-qalsadi/python-qalsadi.spec python-qalsadi/python-qalsadi.spec.tmp
index ebf6395520..93bb0d0b40 100644
--- python-qalsadi/python-qalsadi.spec
+++ python-qalsadi/python-qalsadi.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:				python-%{modname}
 Version:			0.1
-Release:			7%{?dist}
+Release:			8%{?dist}
 Summary:			Arabic Morpholocgical Analyzer
 Summary(ar):		محلّل بنيوي في العربية
 Group:				Applications/Publishing
@@ -14,9 +14,17 @@ BuildArch:			noarch
 BuildRequires:		python2-devel
 BuildRequires:		python-setuptools
 
-%description
+%global _description\
 Arabic language text Morpholocgical Analyzer to be used by Python.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
+
 %description -l ar
 أداة تحليل في اللّغة العربية للاستخدام ضمن بيئة بيثون.
 
@@ -31,11 +39,15 @@ sed -i 's:#!/usr/bin/python::g' %{modname}/*
 %install
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-%{modname}
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{distname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-8
+- Python 2 subpackage renamed to python2-qalsadi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-qrcode/python-qrcode.spec python-qrcode/python-qrcode.spec.tmp
index 5d32601948..b798379906 100644
--- python-qrcode/python-qrcode.spec
+++ python-qrcode/python-qrcode.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pkgname}
 Version:        5.1
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Python QR Code image generator
 
 License:        BSD
@@ -21,13 +21,20 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-imaging
 BuildRequires:  python3-six
 
-Requires:       python-imaging
-Requires:       %{name}-core = %{version}-%{release}
+%global _description\
+This module uses the Python Imaging Library (PIL) to allow for the\
+generation of QR Codes.\
 
-%description
-This module uses the Python Imaging Library (PIL) to allow for the
-generation of QR Codes.
 
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
+Requires:       %{name}-core = %{version}-%{release}
+Requires:       python-imaging
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %package core
 Requires:       python-six
@@ -132,7 +139,7 @@ popd
 
 
 
-%files
+%files -n python2-%{pkgname}
 %{python2_sitelib}/%{pkgname}/image/svg.py*
 %{python2_sitelib}/%{pkgname}/image/pil.py*
 
@@ -174,6 +181,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 5.1-8
+- Python 2 subpackage renamed to python2-qrcode
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-qserve/python-qserve.spec python-qserve/python-qserve.spec.tmp
index f539d0cb35..cf0c7aa478 100644
--- python-qserve/python-qserve.spec
+++ python-qserve/python-qserve.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{module_name}
 Version:        0.2.8
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Job queue server
 
 License:        BSD
@@ -14,12 +14,20 @@ BuildRequires:  python2-devel
 BuildRequires:  pytest
 BuildRequires:  python-gevent
 BuildRequires:  python-simplejson
-Requires:       python-gevent
-Requires:       python-simplejson
 
-%description
-qserve is a job queue server written in Python.
+%global _description\
+qserve is a job queue server written in Python.\
+
+
+%description %_description
 
+%package -n python2-%{module_name}
+Summary: %summary
+Requires:       python-simplejson
+Requires:       python-gevent
+%{?python_provide:%python_provide python2-%{module_name}}
+
+%description -n python2-%{module_name} %_description
 
 %prep
 %setup -qn %{module_name}-%{version}
@@ -38,12 +46,16 @@ sed -i '/^#!/d' qs/*.py
 py.test
 
  
-%files
+%files -n python2-%{module_name}
 %doc README.rst
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.8-10
+- Python 2 subpackage renamed to python2-qserve
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-quantities/python-quantities.spec python-quantities/python-quantities.spec.tmp
index 6fa553196a..e207387d73 100644
--- python-quantities/python-quantities.spec
+++ python-quantities/python-quantities.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:       python-%{module_name}
 Version:    0.10.1
-Release:    8%{?dist}
+Release:    9%{?dist}
 Summary:    Support for physical quantities with units, based on numpy
 
 License:    BSD
@@ -14,22 +14,30 @@ Source0:    https://pypi.python.org/packages/source/q/%{module_name}/%{module_na
 Source1:    license.rst
 
 BuildRequires:  python2-devel python-setuptools numpy
-Requires:       numpy
 BuildArch:      noarch
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel python3-setuptools python3-numpy
 %endif # if with_python3
 
-%description
-Quantities is designed to handle arithmetic and conversions of physical
-quantities, which have a magnitude, dimensionality specified by various units,
-and possibly an uncertainty. See the tutorial for examples. Quantities builds
-on the popular numpy library and is designed to work with numpy ufuncs, many of
-which are already supported. Quantities is actively developed, and while the
-current features and API are stable, test coverage is incomplete so the package
+%global _description\
+Quantities is designed to handle arithmetic and conversions of physical\
+quantities, which have a magnitude, dimensionality specified by various units,\
+and possibly an uncertainty. See the tutorial for examples. Quantities builds\
+on the popular numpy library and is designed to work with numpy ufuncs, many of\
+which are already supported. Quantities is actively developed, and while the\
+current features and API are stable, test coverage is incomplete so the package\
 is not suggested for mission-critical applications.
 
+%description %_description
+
+%package -n python2-%{module_name}
+Summary: %summary
+Requires:       numpy
+%{?python_provide:%python_provide python2-%{module_name}}
+
+%description -n python2-%{module_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{module_name}
 Summary:    Support for physical quantities with units, based on numpy
@@ -80,7 +88,7 @@ pushd %{py3dir}
 popd
 %endif # with_python3 
 
-%files
+%files -n python2-%{module_name}
 %doc CHANGES.txt README.txt license.rst
 %{python2_sitelib}/%{module_name}-%{version}-py?.?.egg-info
 %{python2_sitelib}/%{module_name}/
@@ -94,6 +102,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.1-9
+- Python 2 subpackage renamed to python2-quantities
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-rackspace-auth-openstack/python-rackspace-auth-openstack.spec python-rackspace-auth-openstack/python-rackspace-auth-openstack.spec.tmp
index d50dbc772b..07af76273f 100644
--- python-rackspace-auth-openstack/python-rackspace-auth-openstack.spec
+++ python-rackspace-auth-openstack/python-rackspace-auth-openstack.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           python-%{project}
 Version:        1.3
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Rackspace authentication for OpenStack clients
 
 License:        ASL 2.0
@@ -23,20 +23,28 @@ BuildRequires:  python2-devel
 BuildRequires:  python-novaclient
 BuildRequires:  pytest
 BuildRequires:  python-pytest-cov
-Requires:       python-httpretty
-Requires:       python-invoke
-Requires:       python-py
-Requires:       python-novaclient
 %if %{with python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-pytest
 BuildRequires:  python3-pytest-cov
 %endif # with python3
 
-%description
-A plugin for OpenStack clients which provides client support for Rackspace 
+%global _description\
+A plugin for OpenStack clients which provides client support for Rackspace\
 authentication extensions for OpenStack.
 
+%description %_description
+
+%package -n python2-rackspace-auth-openstack
+Summary: %summary
+Requires:       python-novaclient
+Requires:       python-py
+Requires:       python-invoke
+Requires:       python-httpretty
+%{?python_provide:%python_provide python2-rackspace-auth-openstack}
+
+%description -n python2-rackspace-auth-openstack %_description
+
 %if %{with python3}
 %package -n python3-rackspace-auth-openstack
 Summary:        Rackspace authentication for OpenStack clients
@@ -98,7 +106,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-rackspace-auth-openstack
 %doc python2/README.rst python2/ChangeLog python2/AUTHORS
 %license python2/LICENSE
 %{python2_sitelib}/%{modname}
@@ -113,6 +121,10 @@ popd
 %endif # with python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-8
+- Python 2 subpackage renamed to python2-rackspace-auth-openstack
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
